
Infrastructure - Story #1033

Cn should receive and respond to variety of schema & API releases

2010-10-29 16:51 - Robert Waltz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

There will need to be a translation/transform from previous released schema.

So, If a 1.0 MN is replicated to a 1.5 MN, there should be a update of 1.0 MN Systemmetadata to 1.5.

What about replication downward?  Do not allow for a downgrade of schemas.

How do we cover communications between different MNs of different API versions? 

Related issues:

Related to Infrastructure - Task #1413: Version migration Closed 2011-03-09

History

#1 - 2011-03-09 18:50 - Robert Waltz

- Position set to 36

#2 - 2011-05-23 18:31 - Robert Waltz

- Assignee set to Robert Waltz

#3 - 2011-08-30 02:45 - Dave Vieglais

- Position set to 49

- Position deleted (127)

#4 - 2013-10-28 20:08 - Robert Waltz

- Milestone set to CCI-2.0

- translation missing: en.field_remaining_hours set to 0.0

- Start date deleted (2010-10-29)

- Product Version set to 2.0.0

#5 - 2014-10-02 17:35 - Skye Roseboom

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2024-05-01 1/1

http://www.tcpdf.org

